<%@page language="java" contentType="text/html; charset=utf-8"
        pageEncoding="utf-8" %>
<script type="text/javascript" src="<%=webpath%>/js/DatePicker/WdatePicker.js"></script>
<script type="text/javascript">
    /**
     *      是否选择车辆 ， 选择其他 ，显示描述的文本框
     * */
    $("#repairCar").change(function () {
        if($("#repairCar").val() == 2){
            $("#repairCarDetailWrapper").show();
        }else {
            $("#repairCarDetailWrapper").hide();
        }
    })

    /**
     *      是否有质量问题
     * */
    $("#qualityProblem").change(function () {
        /***
         *      2 是 ‘未知’， 1 是 ‘是’， 3 是 ‘否’, 0 是 ‘请选择’
         */
        if( $("#qualityProblem").val() == 2 ){
            $(".qualityProblemUnknow").show().find('select').val("");
            $(".qualityProblemYes").hide().find('select').val("");
        } else if($("#qualityProblem").val() == 1){
            $(".qualityProblemYes").show().find('select').val("");
            $(".qualityProblemUnknow").hide().find('select').val("");
            $(".technologyNoticeYes").hide().find('select').val("");
            $(".technologyNoticeNo").hide().find('select').val("");
        } else {
            $(".qualityProblemUnknow").hide().find('select').val("");
            $(".qualityProblemYes").hide().find('select').val("");
        }
    })

    /**
     *      是否有技术公告  1 : 是    2 : 否
     * */
    $("#technologyNotice").change(function () {
        if( $("#technologyNotice").val() == 1 ){
            $(".technologyNoticeYes").show().find('select').val("");
            $(".technologyNoticeNo").hide().find('select').val("");
            $(".effectiveProblemYes").hide().find('select').val("");
            $('.effectiveProblemNo').hide().find('select').val("");
        } else if( $("#technologyNotice").val() == 2 ){
            $(".technologyNoticeYes").hide().find('select').val("");
            $(".technologyNoticeNo").show().find('select').val("");
            $(".effectiveProblemYes").hide().find('select').val("");
            $('.effectiveProblemNo').hide().find('select').val("");
        } else {
            $(".technologyNoticeYes").hide().find('select').val("");
            $(".technologyNoticeNo").hide().find('select').val("");
        }
    })

    /**
     *      是否有效  1 : 是    2 : 否
     * */
    $("#effectiveProblem").change(function () {
        if($("#effectiveProblem").val() == 1){
            $('.effectiveProblemYes').show().find('select').val("");
            $(".effectiveProblemNo").hide().find('select').val("");
        }else if($("#effectiveProblem").val() == 2){
            $('.effectiveProblemYes').hide().find('select').val("");
            $(".effectiveProblemNo").show().find('select').val("");
        }else {
            $('.effectiveProblemYes').hide().find('select').val("");
            $(".effectiveProblemNo").hide().find('select').val("");
        }
    })

    /**
     *      维修  选择  1 : 搭电 , 2 : 打气 ， 3 ： 换胎 ， 4 ： 解档 ， 5 ：安装 ， 6 ： 其他处理
     * */
    $('#repairOptions').change(function () {
        if( $('#repairOptions').val() == 1 ){
            $("#betteryCheck").show();
            $("#writeParts").hide();
            $("#repairDescirbe").hide();
        } else if( $('#repairOptions').val() == 5 ){
            $("#betteryCheck").hide();
            $("#writeParts").show();
            $("#repairDescirbe").hide();
        } else if( $('#repairOptions').val() == 6 ){
            $("#betteryCheck").hide();
            $("#writeParts").hide();
            $("#repairDescirbe").show();
        } else {
            $("#betteryCheck").hide();
            $("#writeParts").hide();
            $("#repairDescirbe").hide();
        }
    })


    /**
     *      进店维修
     * */
    /**
     *      是否有工单号  1 : 是 ， 2 ： 否
     * */
    $('#repairEnterCompanyOrderNumber').change(function () {
        if($('#repairEnterCompanyOrderNumber').val() == 1){
            $('#HasRepairOrderNumber').show();
            $("#describe").html("工单号:");
        } else if($('#repairEnterCompanyOrderNumber').val() == 2){
            $('#HasRepairOrderNumber').show();
            $("#describe").html("原因(最多20个字):");
        } else {
            $('#HasRepairOrderNumber').hide();
        }
    })

    /**
     *      维修选择框  1 ： 已修复 ， 2 ： 正在维修 ， 3 ： 等待维修授权 ， 4 ：问题未再现 ， 5 ： 其他
     * */
    $('#repairEnterCompany').change(function () {
        if( $('#repairEnterCompany').val() == 5 ){
            $("#repairEnterCompanyOtherDetail").show();
        }else {
            $("#repairEnterCompanyOtherDetail").hide();
        }
    })

    /**
     *      是否质量问题  1 ： 是 ， 2 ： 否 ， 3 : 未知
     * */
    $("#repairEnterCompanyQuality").change(function () {
        // 选择 是
        if($("#repairEnterCompanyQuality").val() == 1 ){
            $(".repairEnterCompanyQualityNo").hide().find('select').val("");
            $('.repairEnterCompanyQualityYes').show().find('select').val("");
            $(".repairEnterCompanyQualityUnknow").hide().find('select').val("");
            $(".repairEnterCompanyTechnologyYes").hide().find('select').val("");
            $(".repairEnterCompanyTechnologyNo").hide().find('select').val("");
            $("#others").val("");
        } else if($("#repairEnterCompanyQuality").val() == 2){
            $(".repairEnterCompanyQualityNo").show().find('select').val("");
            $('.repairEnterCompanyQualityYes').hide().find('select').val("");
            $(".repairEnterCompanyQualityUnknow").hide().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        } else if($("#repairEnterCompanyQuality").val() == 3){
            $(".repairEnterCompanyQualityNo").hide().find('select').val("");
            $('.repairEnterCompanyQualityYes').hide().find('select').val("");
            $(".repairEnterCompanyQualityUnknow").show().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
        } else {
            $(".repairEnterCompanyQualityNo").hide().find('select').val("");
            $('.repairEnterCompanyQualityYes').hide().find('select').val("");
            $(".repairEnterCompanyQualityUnknow").hide().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        }
    })

    /**
     *      是否有技术公告 1 : 是 ， 2 ： 否
     * */
    $('#repairEnterCompanyTechnologyNotice').change(function () {
        if( $('#repairEnterCompanyTechnologyNotice').val() == 1 ){
            $('.repairEnterCompanyTechnologyYes').show().find('select').val("");
            $('.repairEnterCompanyTechnologyNo').hide().find('select').val("");
            $('.repairEnterEffectiveYes').hide().find('select').val("");
            $('.repairEnterEffectiveNo').hide().find('select').val("");
            $("#other").val("");
            $("#others").val("");
        }else if($('#repairEnterCompanyTechnologyNotice').val() == 2) {
            $('.repairEnterCompanyTechnologyYes').hide().find('select').val("");
            $('.repairEnterCompanyTechnologyNo').show().find('select').val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        }else {
            $('.repairEnterCompanyTechnologyYes').hide().find('select').val("");
            $('.repairEnterCompanyTechnologyNo').hide().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        }
    })

    /**
     *      是否有效  1 ： 是 ， 2 ： 否
     * */
    $('#repairEnterCompanyEffectiveProblem').change(function () {
        if($('#repairEnterCompanyEffectiveProblem').val() == 1){
            $('.repairEnterEffectiveYes').show().find('select').val("");
            $('.repairEnterEffectiveNo').hide().find('select').val("");
            $("#other").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        } else if($('#repairEnterCompanyEffectiveProblem').val() == 2) {
            $('.repairEnterEffectiveYes').hide().find('select').val("");
            $('.repairEnterEffectiveNo').show().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#others").val("");
        } else {
            $('.repairEnterEffectiveYes').hide().find('select').val("");
            $('.repairEnterEffectiveNo').hide().find('select').val("");
            $("#other").val("");
            $("#technicalNumber").val("");
            $("#technicalNoticeInvalid").val("");
            $("#others").val("");
        }
    })



    function submitMyInfo() {
        var path = $("#mypaths").val();
        var newPassword = $("#newPassword").val();
        var confirmPassword = $("#confirmPassword").val();
        if (newPassword != confirmPassword) {
            alert("密码和确认密码不匹配");
            return;
        }
        $.ajax({
            cache: true,
            type: "POST",
            url: path + "/enterprise/put_Myenterprise.do",
            data: $('#enterpriseform').serialize(),// 你的formid
            async: false,
            error: function (request) {
                alert("Connection error");
            },
            success: function (data) {
                var data = eval("(" + data + ")");
                if (data.flag == 1) {
                    $("#my_info_dialog").hide();
                } else {
                    alert(data.msg);
                }
            }
        });

    }

    function getMapUrl() {
        var mapUrl = $("#map_frame").attr("src");
        setTimeout(function () {
            $("#map_frame").attr("src", mapUrl);
        }, 1);
    }


    function showMyInfoDialog() {
        $("#enterpriseform").form("clear");
        var params = {};
        var result = ajaxgetresultpost($("#mypaths").val()
            + '/enterprise/get_my_info.do', params);
        if (result.flag == 0) {
            alert(result.msg);
        } else {
//			alert(result.data);
            getMapUrl();
            loadData(result.data);
            $("#my_info_dialog").show();

        }
    }

    function loadData(obj) {
        var key, value, tagName, type, arr;
        for (x in obj) {
            key = x;
            value = obj[x];
            $("#my_info_dialog").find($("[name='" + key + "'],[name='" + key + "[]']")).each(function () {
                tagName = $(this)[0].tagName;
                type = $(this).attr('type');
                if (tagName == 'INPUT') {
                    if (type == 'radio') {
                        $(this).attr('checked', $(this).val() == value);
                    } else if (type == 'checkbox') {
                        arr = value.split(',');
                        for (var i = 0; i < arr.length; i++) {
                            //alert($(this).val()+'&&'+arr[i]+i);
                            if ($(this).val() == arr[i]) {
                                //alert(1);
                                $(this).prop('checked', true);
                                break;
                            }
                        }
                    } else {
                        $(this).val(value);
                    }
                } else if (tagName == 'SELECT' || tagName == 'TEXTAREA') {
                    $(this).val(value);
                }

            });
        }
    }
    $(document).on('click', '.cancel1', function () {
        $(".order_undo1").hide();
    });
    $(document).on('click', '.cancel', function () {
        $(".order_undo").hide();
    });
    function loginEmailBlur(strEmail) {
        var loginEmail = $.trim($("input[name='brands']").val());
        if (loginEmail == null || loginEmail == "") {
            alert("您的邮箱账号忘记输入了");
        }
        else {
            if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) {
                return true;
            }
            else {
                alert("请输入正确的邮箱格式");
            }
        }
    }

    window.onload = function () {
        var firstPage = $("#firstPage").val();
        var isShow = $("#isShow").val();
        if (firstPage == '1' && isShow == '1') {
            var params = {};
            var result = ajaxgetresultpost($("#mypaths").val()
                + '/enterprise/get_my_info.do', params);
            //alert(result.data);
            if (result.flag == 0) {
                alert(result.msg);
            } else {
//			alert(result.data);
                getMapUrl();
                loadData(result.data);
                var brands = $("#brands").val();
                if (brands == null || brands == '') {
                    $("#my_info_dialog").show();
                    setTimeout(function () {
                        alert("对账邮箱信息不能为空");
                    }, 1);
                }
            }
        }
    };
</script>
<input id="isShow" type="hidden" value="<%=null !=  dto.getEnterpriseJlrId() &&0<dto.getEnterpriseJlrId()?1:0%>">
<input id="firstPage" type="hidden" value="${firstPage==null||firstPage==''?0:firstPage}">
<div class="order_undo1" id="my_info_dialog" style="display: none;">
    <form action="" id="enterpriseform">
        <div class="dialog_default" style="width:800px">
            <div class="dialog_title">编辑</div>
            <div class="dialog_con2">

                <div class="dialog_left2">
                    <table style="width:100%;">
                        <tbody>
                        <tr>
                            <td><span style="margin-right: 30px;">经销商名称</span><input name="name" type="text"
                                                                                     value="" readonly="readonly"
                                                                                     style="border:0;background:none;"/>
                            </td>
                            <td><span style="margin-right: 30px;">经销商代码</span><input name="abbr_code" type="text"
                                                                                     value="" readonly="readonly"
                                                                                     style="border:0;background:none;"/>
                            </td>
                            <!-- <td><span>简称</span><input name="registry" type="text"
                                                      value=""/></td> -->
                        </tr>

                        <tr>
                            <td style="line-height:32px;">
                                <span style="margin-right: 36px;">服务资质</span>
                                <input type="checkbox" id="roadRepair" name="service_qualification" value="路修"
                                       style="margin-right:5px;" disabled/> 路修
                                <input type="checkbox" id="trailer" name="service_qualification" value="拖车"
                                       style="margin-left:20px;margin-right:5px;" disabled/> 拖车
                            </td>

                            <td><span style="margin-right: 30px;">地址</span> <input name="address" id="address"
                                                                                   type="text" value=""
                                                                                   readonly="readonly"
                                                                                   style="border:0;background:none;"/>
                                <!-- <input type="button" class="addressBtn" value="选择地址" onclick="showmap();"/> -->
                            </td>

                        </tr>
                        <tr>
                            <td colspan="3"></td>
                        </tr>


                        <tr>
                            <td colspan="3">
                                <span>24小时联系人1</span>
                                <div class="contactWrap"><input class="contactInput" name="contact" placeholder="姓名"
                                                                type="text" value="" id="contact"/></div>
                                <div class="contactWrap"><input class="contactInput" name="phone1" placeholder="电话"
                                                                type="text" value="" id="phone1"/></div>
                                <div class="contactWrap"><input class="contactInput" name="job1" placeholder="职务"
                                                                type="text" value="" id="job1"/></div>
                            </td>

                        </tr>
                        <tr>
                            <td colspan="3">
                                <span>24小时联系人2</span>
                                <div class="contactWrap"><input class="contactInput" name="contact2" placeholder="姓名"
                                                                type="text" value=""/></div>
                                <div class="contactWrap"><input class="contactInput" name="phone2"
                                                                placeholder="电话" type="text"
                                                                value="" style=""/></div>
                                <div class="contactWrap">
                                    <input class="contactInput" name="job2" placeholder="职务" type="text" value=""/>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <span>对账联系人</span>
                                <div class="contactWrap"><input class="contactInput" name="contact3" placeholder="姓名"
                                                                type="text" value=""/></div>
                                <div class="contactWrap"><input class="contactInput" name="phone3" placeholder="电话"
                                                                type="text"
                                                                value="" style=""/></div>
                                <div class="contactWrap">
                                    <input class="contactInput" name="job3" placeholder="职务" type="text" value=""/>
                                </div>
                            </td>

                        </tr>
                        <tr>
                            <td colspan="3"></td>
                        </tr>

                        <tr>

                            <!-- <td><span>联系人</span><input name="contact" type="text"
                                value="" /></td> -->
                            <td colspan="2"><span>对账邮箱</span><input id="brands" name="brands" type="email"
                                                                    value="" onblur="loginEmailBlur(this.value)"/>
                                <font style="color:red;margin-left:5px;font-size:12px;">该邮箱自动绑定服务费用结算通知，如有变动请及时更新！</font>
                            </td>
                        </tr>

                        <tr>
                            <td>
                                <span>更改密码</span>
                                <input id="newPassword" name="newPassword" type="password" placeholder="密码"
                                       value=""/></td>
                            <td>
                                <span>确认密码</span>

                                <input id="confirmPassword" name="confirmPassword" type="password" placeholder="确认密码"
                                       value=""/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span>VIN码</span>
                                <input id="vin" name="vin_code" type="text" placeholder="VIN码"
                                       value=""/></td>
                            <td>
                                <span>车型</span>

                                <input id="carType" name="car_type" type="text" placeholder="车型"
                                       value=""/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span>首次销售日期</span>
                                <input type="text" id="firstSellDate" placeholder="首次销售日期"
                                       class="Wdate" readonly="readonly"
                                       name="first_sale_date"
                                       onfocus="WdatePicker({errDealMode:2,readOnly:true,startDate:'%y-%M-%d %H:%m:%s',dateFmt:'yyyy/MM/dd'})"
                                       style="cursor:pointer;"/>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="3">
                                <input type="hidden" name="lat"/>
                                <input type="hidden" name="lon"/>
                            </td>
                        </tr>


                        </tbody>
                    </table>
                    <div class="confirm_cancel clearfix">

                        <a href="javascript:void(0);" class="btn2"
                           style="margin-right:20px;float: left;margin-left:80px;" onclick="submitMyInfo();">确&nbsp;&nbsp;认</a>
                        <a href="javascript:void(0);" class="btn1 cancel1" style="float: left;">取&nbsp;&nbsp;消</a>
                    </div>

                </div>


                <%--  <div class="dialog_right">
                     <iframe src="<%=path%>/base/amap.do" frameborder="0" scrolling="no"
                             id="map_frame" style="width: 715px;height: 550px"></iframe>
                 </div> --%>


            </div>
        </div>
    </form>

</div>
<div>
    <input type="hidden" id="mypaths" value="<%=path%>">
    <!-- <div class="footer"></div> -->
    <div></div>
</div>
</body>
</html>